/* 댓글 목록 */
.comment_list {
    margin-top: min(20px, max(10px, 4vw));
    display: flex;
    width: 100%;
    height: auto;
    flex-wrap: wrap;
    gap: 2px;
    background-color: var(--bg-02);
}
.comment_list > .comment_box {
    display: block;
    width: 100%;
    height: auto;
    /*
    display: grid;
    grid-template-columns: min(50px, max(40px, 10vw)) auto;
    gap: min(15px, max(10px, 3vw));
    */
    padding: min(20px, max(10px, 4vw)) 0;
    background-color: var(--bg-01);
}
.comment_list > .comment_box.reply {
    padding-left: min(60px, max(45px, 12vw));
    /*
    background-image: url(/resources/img/icons/reply.png);
    background-repeat: no-repeat;
    background-position-x: min(45px, max(30px, 9vw));
    background-position-y: 10px;
    background-size: min(15px, max(10px, 3vw));
    */
}
.comment_list > .comment_box .user_photo_box {
    display: none;
    width: 100%;
    height: auto;
}
.comment_list > .comment_box .user_photo_box img {
    width: 100%;
    aspect-ratio: 1;
    height: auto;
    border-radius: 50%;
    object-fit: cover;
}
.comment_list > .comment_box .cmt_content {
    display: block;
    width: 100%;
    height: auto;
    position: relative;
}
.comment_list > .comment_box .cmt_content .comment_text {
    line-height: 1.4em;
    color: var(--text-08);
    padding: .35em 0;
}
.comment_list > .comment_box .cmt_content .reg_dt {
    color: var(--text-desc);
}
.comment_list .comment_meta_box {
    display: flex;
    height: auto;
    flex-wrap: nowrap;
    gap: 1em;
}
.comment_list .comment_meta_box img {
    display: block;
    width: auto;
    height: 1.1em;
}
.comment_list .comment_meta_box > a {
    display: flex;
    width: fit-content;
    height: auto;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: left;
    line-height: 1em;
    font-size: 1em;
    color: var(--text-desc);
    gap: .15em;
}
.comment_list .comment_meta_box > a:hover {
    transform: scale(1.15);
    color: #000;
    transition: all .3s;
}

/* 댓글 버튼 */
.board_action_list .cmt_reply, .board_action_list .cmt_edit, .board_action_list .cmt_del {
    font-size: .875em;
}

/* 댓글 수정 팝업 */
#cmt_edit_popup {
    width: min(400px, 90%);
    height: auto;
    max-height: 90vh;
    background-color: #fff;
    border-radius: min(20px, max(15px, 4vw));
    overflow-y: auto;
}
#cmt_edit_popup > .body {
    width: 100%;
    height: auto;
    padding: 10px 0;
    display: block;
    position: relative;
}
#cmt_edit_popup > .body > .title {
    display: block;
    width: 100%;
    height: auto;
    font-size: 1.125em;
    padding: 0 1em ;
    margin-bottom: min(30px, max(6vw, 15px));
    font-weight: 500;
}
#cmt_edit_popup > .body > .title > p {
    display: block;
    width: 100%;
    padding-bottom: .25em;
    border-bottom: 1px solid #000;
}
#cmt_edit_popup .ok_btn_area {
    position: sticky;
    bottom: 0;
    padding: min(30px, max(6vw, 15px)) 0;
    background-color: #fff;
}
#cmt_edit_popup .error_msg {
    text-align: center;
}
#cmt_edit_popup .error_msg > p {
    padding-top: .5em;
}
#cmt_edit_popup .comment_box {
    display: block;
    width: 100%;
    height: auto;
    padding: 0 1em;
}
#cmt_edit_popup .comment_box > p {
    margin-bottom: .5em;
    font-size: 0.875em;
    color: var(--text-08);
    padding-left: .5em;
    position: relative;
}
#cmt_edit_popup .comment_box > p > span {
    font-weight: 600;
    color: var(--text-01);
}
#cmt_edit_popup .comment_box > p::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 4px;
    height: 1em;
    background-color: var(--text-title);
    border-radius: 2px;
}
#cmt_edit_popup .comment_box > textarea {
    width: 100%;
    height: 5em;
    line-height: 1.5em;
    resize: none;
    padding: .5em 1em;
    font-size: 1rem;
}

/* 답댓글 쓰기 */
#f_comment_reply textarea {
    margin: .5em 0;
    height: auto;
    aspect-ratio: 5/1;
    min-height: 4em;
    font-size: 1rem;
    line-height: 1.5em;
}
